package serverP2P;
import serverP2P.ServerManagementUDP;
import tools.Directories;

public class ServerP2P {
	private int port;
	private String dataHomeDirectory;
	public ServerP2P() {
		port = 40000;
		dataHomeDirectory = new Directories("P2P_JAVA_PROJECT_SERVER").getDataHomeDirectory();
		System.out.println("Server will listen on port " + port + " and serve files from " + dataHomeDirectory);
	}
	public static void main(String [] args) {
		ServerP2P s = new ServerP2P();
		ServerManagementUDP sm = new ServerManagementUDP(s.dataHomeDirectory, s.port);
		Thread t = new Thread(sm);
		t.setName("server P2P-JAVA-PROJECT");
		t.start();
	}

}
